Zum Inhalt springen

Eine italienische Steuernummer (codice fiscale) prüfen und mit persönlichen Daten abgleichen

POST
/v1/validate/fiscal-code
curl --request POST \
--url https://api.vimine.network/v1/validate/fiscal-code \
--header 'Content-Type: application/json' \
--data '{ "code": "example", "first_name": "example", "last_name": "example", "gender": "M", "date": "2026-04-15", "place": "example", "country": "example" }'

Aufbau + Prüfzeichen; mit first_name / last_name / date / place oder country auch die Übereinstimmung mit den Personalien — und was die Steuernummer selbst enthält. Das Beitrittsformular führt dieselbe Prüfung durch, ohne das Geschlecht (dort wird es nicht abgeglichen).

Medientypapplication/json
object
code
erforderlich

Steuernummer (codice fiscale), 16 Zeichen

string
first_name
string
last_name
string
gender
string
Erlaubte Werte: M F
date

Geburtsdatum

string Format: date
place

Geburtsort: die Gemeinde (comune) bei einer in Italien geborenen Person

string
country

Geburtsland, ISO 3166-1 alpha-2. Eine Steuernummer enthält bei in Italien geborenen Personen die Gemeinde und bei allen anderen nur den STAAT: Alles außer IT wird mit diesem Staat verglichen, und place wird ignoriert

string
>= 2 Zeichen <= 2 Zeichen

Prüfergebnis

Medientypapplication/json
object
valid
boolean
error
string
nullable
Erlaubte Werte: invalid mismatch
mismatches

Was nicht zur Steuernummer passt, wenn error gleich mismatch ist

Array<string>
Erlaubte Werte: lastName firstName gender date place
hints

names_swapped: Die Steuernummer passt, sobald Nachname und Vorname vertauscht werden

Array<string>
Erlaubte Werte: names_swapped
birth_date

Das Geburtsdatum, das die Steuernummer selbst enthält

string Format: date
nullable
birth_country

Das Geburtsland, das die Steuernummer selbst enthält, ISO 3166-1 alpha-2 (IT für eine Gemeinde)

string
nullable
Beispiel
{
"error": "invalid",
"mismatches": [
"lastName"
],
"hints": [
"names_swapped"
]
}

Ungültige Anfrage

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Nicht gefunden

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Ratenlimit überschritten

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Interner Fehler

Medientypapplication/problem+json
object
type
erforderlich
string Format: uri
title
erforderlich
string
status
erforderlich
integer
detail
string
code
erforderlich
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
Beispielerzeugt
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}